<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright � 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Annouuncements infusion
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."announcements/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("ANN") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."announcements/locale/".$settings['locale'].".php")) {
    include INFUSIONS."announcements/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."announcements/locale/English.php";
}

// przydatne funkcje
function ciach($string, $lenght) {
    if(strlen($string) > $lenght) {
        $string = substr($string, 0, $lenght);
        $string .= "...";
        return $string;
    }
    else {
        return $string;
    }
}

function getUser($id) {
    $information = "xxx";
    $count = dbcount("(user_id)", DB_USERS, "user_id='".$id."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".DB_USERS."` WHERE `user_id` = '".$id."'");
        $user = dbarray($sql);
        return $user['user_name'];
    }
    else {
        return $information;
    }
}

function getAnnCat($id) {
    global $locale;
    $information = $locale['ANN_017'];
    $count = dbcount("(id)", ANNS_CATS, "id='".$id."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".ANNS_CATS."` WHERE `id` = '".$id."'");
        $cat = dbarray($sql);
        return $cat['title'];
    }
    else {
        return $information.": id = ".$id;
    }
}

function scaleImage($location, $maxw=NULL, $maxh=NULL, $style=NULL){
    $img = @getimagesize($location);
    if($img){
        $w = $img[0];
        $h = $img[1];
        $dim = array('w','h');
        foreach($dim AS $val){
            $max = "max{$val}";
            if(${$val} > ${$max} && ${$max}){
                $alt = ($val == 'w') ? 'h' : 'w';
                $ratio = ${$alt} / ${$val};
                ${$val} = ${$max};
                ${$alt} = ${$val} * $ratio;
            }
        }
        if($style == NULL) {
            return("<img src='{$location}' alt='image' width='{$w}' height='{$h}' />");
        }
        else {
            return("<img src='{$location}' alt='image' width='{$w}' height='{$h}' class='image-slider' />");
        }
    }
}

// zaladowanie bilbioteki jquery
echo '<script type="text/javascript" src="'.INFUSIONS.'announcements/js/jquery-1.4.2.min.js"></script>';

// zaladowanie biblioteki UI do jquery
echo '<script type="text/javascript" src="'.INFUSIONS.'announcements/js/jquery-ui-1.8.4.custom.min.js"></script>';

// zaladowanie pliku sterujacego akcjami javascript
echo '<script type="text/javascript" src="'.INFUSIONS.'announcements/js/main.js"></script>';

// zaladowanie pliku ze stylami biblioteki UI
echo '<link rel="stylesheet" href="'.INFUSIONS.'announcements/jquery-ui-1.8.4.custom.css" type="text/css" media="all" />';


if((isSet($_GET['action'])) && ($_GET['action'] == "edit") && (isSet($_GET['type'])) && ($_GET['type'] == "ann") && (isSet($_GET['id'])) && (isSet($_GET['deletephoto']))) {
    $count = dbcount("(id)", ANNS_PHOTOS, "id='".$_GET['deletephoto']."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".ANNS_PHOTOS."` WHERE `id` = '".$_GET['deletephoto']."'");
        if($sql) {
            $photo = dbarray($sql);
            chmod(ANNS_IMAGES.$photo['photo'], 0777);
            $delete = unlink(ANNS_IMAGES.$photo['photo']);
            if($delete) {
                $sql = dbquery("DELETE FROM `".ANNS_PHOTOS."` WHERE `id` = '".$_GET['deletephoto']."'");
                if($sql) {
                    $information = $locale['ANN_059'];
                }
                else {
                    $information = $locale['058'];
                }
            }
            else {
                $information = $locale['ANN_057'];
            }
        }
        else {
            $information = $locale['ANN_021'];
        }
    }
    else {
        $information = $locale['ANN_056'];
    }
}

if(isSet($_POST['edit_ann'])) {
    $title = mysql_escape_string(stripinput($_POST['title']));
    $cat_id = mysql_escape_string(stripinput($_POST['cat_id']));
    $author = mysql_escape_string(stripinput($_POST['author']));
    $body = mysql_escape_string(stripinput($_POST['body']));
    $email = mysql_escape_string(stripinput($_POST['email']));
    $phone = mysql_escape_string(stripinput($_POST['phone']));
    $ann_id = mysql_escape_string(stripinput($_POST['ann_id']));
    $sql = dbquery("UPDATE `".ANNS."` SET `title` = '".$title."', `cat_id` = '".$cat_id."', `author` = '".$author."', `body` = '".$body."', `email` = '".$email."', `phone` = '".$phone."', `date` = '".time()."' WHERE `id` = '".$ann_id."'");
    if($sql) {
        $information = $locale['ANN_037'];
        echo '<script type="text/javascript">';
        echo '$(function() {';
        echo "$('#tabs').tabs({ selected: 1 });";
        echo '});';
        echo '</script>';
    }
    else {
        $information = $locale['ANN_038'];
    }
}

if(isSet($_POST['save_category'])) {
    $title = mysql_escape_string(stripinput($_POST['title']));
    $sql = dbquery("INSERT INTO `".ANNS_CATS."` VALUES (NULL, '".$title."', '".time()."')");
    if($sql) {
        $information = $locale['ANN_031'];
        echo '<script type="text/javascript">';
        echo '$(function() {';
        echo "$('#tabs').tabs({ selected: 0 });";
        echo '});';
        echo '</script>';
    }
    else {
        $information = $locale['ANN_030'];
    }
}

if(isSet($_POST['edit_category'])) {
    $id = $_POST['cat_id'];
    $count = dbcount("(id)", ANNS_CATS, "id='".$id."'");
    if($count > 0) {
        $title = mysql_escape_string(stripinput($_POST['title']));
        $sql = dbquery("UPDATE `".ANNS_CATS."` SET `title` = '".$title."', `date` = '".time()."' WHERE `id` = '".$id."'");
        if($sql) {
            $information = $locale['ANN_027'];
            echo '<script type="text/javascript">';
            echo '$(function() {';
            echo "$('#tabs').tabs({ selected: 0 });";
            echo '});';
            echo '</script>';
        }
        else {
            $information = $locale['ANN_021'];
        }
    }
    else {
        $information = $locale['ANN_017'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "delete") && (isSet($_GET['type'])) && (isSet($_GET['id']))) {
    $id = mysql_escape_string($_GET['id']);
    if($_GET['type'] == "category") {
        $count = dbcount("(id)", ANNS_CATS, "id='".$id."'");
        if($count > 0) {
            $count = dbcount("(id)", ANNS, "cat_id='".$id."'");
            if($count > 0) {
                $information = $locale['ANN_020'];
            }
            else {
                $sql = dbquery("DELETE FROM `".ANNS_CATS."` WHERE `id` = '".$id."'");
                if($sql) {
                    $information = $locale['ANN_022'];
                }
                else {
                    $information = $locale['ANN_021'];
                }
            }
        }
        else {
            $information = $locale['ANN_019'];
        }
    }
    elseif($_GET['type'] == "ann") {
        $count = dbcount("(id)", ANNS, "id='".$id."'");
        if($count > 0) {
            $sql = dbquery("DELETE FROM `".ANNS."` WHERE `id` = '".$id."'");
            if($sql) {
                $information = $locale['ANN_025'];
            }
            else {
                $information = $locale['ANN_021'];
            }
        }
        else {
            $information = $locale['ANN_023'];
        }
    }
}

if(isSet($information)) {
    opentable($locale['ANN_018']);
        echo '<div style="width: 100%; text-align: center;padding: 10px 10px 10px 10px;"><b>'.$information.'</b></div>';
    closetable();
}

if((isSet($_GET['action'])) && ($_GET['action'] == "edit") && (isSet($_GET['type'])) && (isSet($_GET['id']))) {
    $id = mysql_escape_string($_GET['id']);
    if($_GET['type'] == "category") {
        $count = dbcount("(id)", ANNS_CATS, "id='".$id."'");
        if($count > 0) {
            $sql = dbquery("SELECT * FROM `".ANNS_CATS."` WHERE `id` = '".$id."'");
            $cat = dbarray($sql);
            if($cat) {
                opentable($locale['ANN_024']);
                    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>";
                    echo "<table cellspacing='0' cellpadding='0' class='tbl-border center' style='padding: 10px 10px 10px 10px;'>";
                    echo "<tr>";
                    echo "<td class='tbl1'>";
                    echo $locale['ANN_007'];
                    echo "</td>";
                    echo "<td class='tbl1'>";
                    echo "<input type='text' class='textbox' style='width: 200px;' name='title' value='".$cat['title']."' />";
                    echo "</td>";
                    echo "</tr>";
                    echo "<tr>";
                    echo "<td class='tbl1'></td>";
                    echo "<td class='tbl1' style='padding-top: 10px; text-align: right;'>";
                    echo "<input type='submit' class='button' name='edit_category' value='".$locale['ANN_026']."' />";
                    echo "</td>";
                    echo "</tr>";
                    echo "</table>";
                    echo "<input type='hidden' value='".$cat['id']."' name='cat_id' />";
                    echo "</form>";
                closetable();
            }
            else {
                $information = $locale['ANN_021'];
            }
        }
        else {
            $information = $locale['ANN_019'];
        }
    }
    elseif($_GET['type'] == "ann") {
        $count = dbcount("(id)", ANNS, "id='".$id."'");
        if($count > 0) {
            $sql = dbquery("SELECT * FROM `".ANNS."` WHERE `id` = '".$id."'");
            $ann = dbarray($sql);
            if($ann) {
                echo '<script type="text/javascript">';
                echo '$(function() {';
                echo "$('#tabs').tabs({ selected: 1 });";
                echo '});';
                echo '</script>';
                opentable($locale['ANN_035']);
                echo "<form name='inputform' action='".FUSION_SELF.$aidlink."' method='POST'>";
                echo "<table cellspacing='0' cellpadding='0' class='tbl-border center' style='padding: 10px 10px 10px 10px;'>";
                echo "<tr><td class='tbl1'>".$locale['ANN_013']."</td>";
                echo "<td class='tbl1'><input type='text' class='textbox' style='width: 200px;' name='title' value='".$ann['title']."' /></td>";
                echo "</tr>";
                echo "<tr><td class='tbl1'>".$locale['ANN_014']."</td>";
                echo "<td class='tbl1'>";
                echo "<select name='cat_id' class='textbox' style='width: 200px;'>";
                $sql_cat = dbquery("SELECT * FROM `".ANNS_CATS."`");
                while($cat = dbarray($sql_cat)) {
                    echo "<option value='".$cat['id']."'"; if($cat['id'] == $ann['cat_id']) { echo ' selected="selected"'; } echo ">".$cat['title']."</option>";
                }
                echo "</select>";
                echo "</td>";
                echo "</tr>";
                echo "<tr><td class='tbl1'>".$locale['ANN_015']."</td><td class='tbl1'>";
                echo "<select name='author' class='textbox' style='width: 200px;'>";
                $sql = dbquery("SELECT * FROM `".DB_USERS."` ORDER BY `user_name` DESC");
                while($user = dbarray($sql)) {
                    echo "<option value='".$user['user_id']."'"; if($ann['author'] == $user['user_id']) { echo ' selected="selected"'; } echo ">".$user['user_name']."</option>";
                }
                echo "</select>";
                echo "</td></tr>";
                echo "<tr><td class='tbl1' valign='top'>".$locale['ANN_032']."</td><td class='tbl1'>";
                echo "<textarea class='textbox' style='width: 200px; height: 80px;' name='body'>".nl2br($ann['body'])."</textarea>";
                echo display_bbcodes("200px;", "body", "inputform", "smiley|b|u|url|color");
                echo "</tr>";
                echo "<tr><td class='tbl1'>".$locale['ANN_033']."</td><td class='tbl1'>";
                echo "<input type='text' class='textbox' style='width: 200px;' name='email' value='".$ann['email']."' />";
                echo "</tr>";
                echo "<tr><td class='tbl1'>".$locale['ANN_034']."</td><td class='tbl1'>";
                echo "<input type='text' class='textbox' style='width: 200px;' name='phone' value='".$ann['phone']."' />";
                echo "</tr>";
                echo "<tr><td class='tbl1' valign='top'>".$locale['ANN_036']."</td><td class='tbl1'>";
                $count_photos = dbcount("(id)", ANNS_PHOTOS, "ann_id='".$ann['id']."'");
                if($count_photos > 0) {
                    $sql = dbquery("SELECT * FROM `".ANNS_PHOTOS."` WHERE `ann_id` = '".$ann['id']."'");
                    while($photo = dbarray($sql)) {
                        echo scaleImage(ANNS_IMAGES.$photo['photo'], 100, 100)."[<a href='".FUSION_SELF.$aidlink."&action=edit&type=ann&id=".$ann['id']."&deletephoto=".$photo['id']."'>".$locale['ANN_011']."]</a><br />";
                    }
                }
                else {
                    echo $locale['ANN_039'];
                }
                echo "</tr>";
                echo "<tr><td class='tbl1'></td><td class='tbl1' style='text-align: right;padding-top: 10px;'>";
                echo "<input type='submit' class='button' name='edit_ann' value='".$locale['ANN_026']."' />";
                echo "</tr>";
                echo "</table>";
                echo "<input type='hidden' value='".$ann['id']."' name='ann_id' />";
                echo "</form>";
                closetable();
            }
            else {
                $information = $locale['ANN_021'];
            }
        }
        else {
            $information = $locale['ANN_023'];
        }
    }
}

echo "<div id='add_cat_form_admin' style='display: none'>";
    opentable($locale['ANN_028']);
        echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>";
        echo "<table cellspacing='0' cellpadding='0' class='tbl-border center' style='padding: 10px 10px 10px 10px;'>";
        echo "<tr>";
        echo "<td class='tbl1'>";
        echo $locale['ANN_007'];
        echo "</td>";
        echo "<td class='tbl1'>";
        echo "<input type='text' class='textbox' style='width: 200px;' name='title' />";
        echo "</td>";
        echo "</tr>";
        echo "<tr>";
        echo "<td class='tbl1'></td>";
        echo "<td class='tbl1' style='padding-top: 10px; text-align: right;'>";
        echo "<input type='submit' class='button' name='save_category' value='".$locale['ANN_029']."' />";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</form>";
    closetable();
echo "</div>";

opentable($locale['ANN_001']);

echo '<div id="tabs">';
    echo '<ul class="tabs-list">';
        echo '<li><a href="#tabs-1">'.$locale['ANN_005'].'</a></li>';
        echo '<li><a href="#tabs-2">'.$locale['ANN_003'].'</a></li>';
    echo '</ul>';

     echo '<div id="tabs-1" class="tab">';
        $count = dbcount("(id)", ANNS_CATS);
        if($count > 0) {
            echo '<center><div style="margin-bottom: 15px;"><a href="#" id="add_cat_admin">'.$locale['ANN_028'].'</a></center>';
            echo '<table cellpadding="0" cellspacing="1" class="tbl-border center">';
            echo '<tr>';
            echo '<td class="tbl2"><b>ID</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_007'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_008'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_009'].'</b></td>';
            echo '</tr>';
            if((isSet($_GET['rowstart'])) && (isSet($_GET['cats_pag']))) {
                $rowstart = mysql_escape_string($_GET['rowstart']);
            }
            else {
                $rowstart = 0;
            }
            $color = 1;
            $sql = dbquery("SELECT * FROM `".ANNS_CATS."` ORDER BY `title` DESC LIMIT ".$rowstart.",10");
            while($cat = dbarray($sql)) {
                echo '<tr>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$cat['id'].'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$cat['title'].'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.strftime("%d/%m/%Y %H:%M", $cat['date']).'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '"><a href="'.FUSION_SELF.$aidlink.'&action=edit&type=category&id='.$cat['id'].'" class="edit">'.$locale['ANN_010'].'</a><a onClick="return deleteCategory()" href="'.FUSION_SELF.$aidlink.'&action=delete&type=category&id='.$cat['id'].'" class="delete">'.$locale['ANN_011'].'</a></td>';
                echo '</tr>';
                $color++;
            }
            echo '</table>';
            $count = dbcount("(id)", ANNS_CATS);
            if($count > 10) {
                echo makepagenav($rowstart, 10, $count, 3, FUSION_SELF.$aidlink."&cats_pag&");
            }
        }
        else {
            echo $locale['ANN_006'];
        }
        echo '<div class="clear"></div>';
    echo '</div>';

     echo '<div id="tabs-2" class="tab">';
        $count = dbcount("(id)", ANNS);
        if($count > 0) {
            echo '<table cellpadding="0" cellspacing="1" class="tbl-border center">';
            echo '<tr>';
            echo '<td class="tbl2"><b>ID</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_014'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_013'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_015'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_008'].'</b></td>';
            echo '<td class="tbl2"><b>'.$locale['ANN_009'].'</b></td>';
            echo '</tr>';
            if((isSet($_GET['rowstart'])) && (isSet($_GET['anns_pag']))) {
                $rowstart = mysql_escape_string($_GET['rowstart']);
                echo '<script type="text/javascript">';
                echo '$(function() {';
                echo "$('#tabs').tabs({ selected: 1 });";
                echo '});';
                echo '</script>';
            }
            else {
                $rowstart = 0;
            }
            $color = 1;
            $sql = dbquery("SELECT * FROM `".ANNS."` ORDER BY `title` DESC LIMIT ".$rowstart.",10");
            while($ann = dbarray($sql)) {
                if(getUser($ann['author']) == "xxx") {
                    $author = $ann['author'];
                }
                else {
                    $author = '<a href="'.BASEDIR.'profile.php?lookup='.$ann['author'].'">'.getUser($ann['author']).'</a>';
                }
                $category = getAnnCat($ann['cat_id']);
                echo '<tr>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$ann['id'].'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$category.'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$ann['title'].'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.$author.'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '">'.strftime("%d/%m/%Y %H:%M", $ann['date']).'</td>';
                echo '<td class="tbl'; if($color%2) { echo 1; } else { echo 2; } echo '"><a href="'.FUSION_SELF.$aidlink.'&action=edit&type=ann&id='.$ann['id'].'" class="edit">'.$locale['ANN_010'].'</a><a onClick="return deleteAnn()" href="'.FUSION_SELF.$aidlink.'&action=delete&type=ann&id='.$ann['id'].'" class="delete">'.$locale['ANN_011'].'</a></td>';
                echo '</tr>';
                $color++;
            }
            echo '</table>';
            $count = dbcount("(id)", ANNS);
            if($count > 10) {
                echo makepagenav($rowstart, 10, $count, 3, FUSION_SELF.$aidlink."&anns_pag&");
            }
        }
        else {
            echo $locale['ANN_012'];
        }
        echo '<div class="clear"></div>';
    echo '</div>';
echo '</div>';

closetable();

require_once THEMES."templates/footer.php";
?>