<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright � 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Annouuncements infusion
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."announcements/infusion_db.php";

if (file_exists(INFUSIONS."announcements/locale/".$settings['locale'].".php")) {
    include INFUSIONS."announcements/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."announcements/locale/English.php";
}

// auto create
if(!is_dir(IMAGES."anns_photos")) {
    @mkdir(IMAGES."anns_photos", 0777);
    @copy(IMAGES."index.php", ANNS_IMAGES."index.php");
}

// Infusion Information
$inf_title = $locale['ANN_001'];
$inf_description = $locale['ANN_002'];
$inf_version = "0.3";
$inf_developer = "Mateusz Sieprawski";
$inf_email = "crom9153@gmail.com";
$inf_weburl = "http://www.duner.info/";

// Infusion Paths
$inf_folder = "announcements";

// Infusion Tables in database
$inf_newtable[1] = ANNS." (
    id INT(11) NOT NULL auto_increment,
    cat_id int(11) NOT NULL default '0',
    title VARCHAR(250) NOT NULL default '',
    body TEXT NOT NULL default '',
    email VARCHAR(250) NOT NULL default '',
    phone VARCHAR(250) NOT NULL default '',
    author VARCHAR(250) NOT NULL default '',
    date int(11) NOT NULL default '0',
    PRIMARY KEY  (id)
) TYPE=MyISAM";

$inf_newtable[2] = ANNS_CATS." (
    id INT(11) NOT NULL auto_increment,
    title VARCHAR(250) NOT NULL default '',
    date int(11) NOT NULL default '0',
    PRIMARY KEY  (id)
) TYPE=MyISAM";

$inf_newtable[3] = ANNS_PHOTOS." (
    id INT(11) NOT NULL auto_increment,
    ann_id int(11) NOT NULL default '0',
    photo text NOT NULL default '',
    date int(11) NOT NULL default '0',
    PRIMARY KEY  (id)
) TYPE=MyISAM";

// Database Insert Rows Command
$inf_insertdbrow[1] = ANNS_CATS." VALUES (
    '1', '".$locale['ANN_004']."', '".time()."'
)";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = ANNS;
$inf_droptable[2] = ANNS_CATS;
$inf_droptable[2] = ANNS_PHOTOS;

$inf_adminpanel[1] = array(
    "title" => $locale['ANN_003'],
    "image" => "duner.png",
    "panel" => "anns_admin.php",
    "rights" => "ANN"
);
?>